2023-03-02 04:32:13 UTC
302 MB
1.20.1
GOPATH/go
PATH/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:0a0c64c8f15c57499fa240b509d736a6e6b861478b11e52aadbc9551cfd10638 - 17.72% (53.4 MB)
[#001] sha256:471482ade37b25d9ec22336d057dd4ed265a030b98595eac314b56d5709bbdff - 1.67% (5.05 MB)
[#002] sha256:a995bf7fa061158e93790e264fd3bc4a3340e75bf857b3c51814384b5f1344f5 - 3.56% (10.7 MB)
[#003] sha256:9955e6ae7dba34d1170876e13f1c83b049619255f38babb22074d26848658318 - 17.68% (53.3 MB)
[#004] sha256:b6a135dee51e22a68b656002c52eef6ad0c5d411b5dbffc6f4e925e5cdee108a - 27.64% (83.4 MB)
[#005] sha256:411a74291d355b2bfcc5b0c2e7ae671e6a63e0c7351f334b5a160febaf625759 - 31.73% (95.7 MB)
[#006] sha256:ad2a70a66e5dddc2e691b53794e72156d5046ae06aaaa6893bb8579c4ec91430 - 0.0% (156 Bytes)
/bin/sh -c #(nop) ADD file:881e5812ed9664defe9745d26894a268ec27de907c9a615a5204bbb5e8e94262 in /
2023-03-01 01:39:02 UTC/bin/sh -c #(nop) CMD ["bash"]
2023-03-01 02:08:29 UTC/bin/sh -c set -eux; apt-get update; apt-get install -y --no-install-recommends ca-certificates curl netbase wget ; rm -rf /var/lib/apt/lists/*
2023-03-01 02:08:36 UTC/bin/sh -c set -ex; if ! command -v gpg > /dev/null; then apt-get update; apt-get install -y --no-install-recommends gnupg dirmngr ; rm -rf /var/lib/apt/lists/*; fi
2023-03-01 02:09:05 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends git mercurial openssh-client subversion procps && rm -rf /var/lib/apt/lists/*
2023-03-02 04:31:54 UTC/bin/sh -c set -eux; apt-get update; apt-get install -y --no-install-recommends g++ gcc libc6-dev make pkg-config ; rm -rf /var/lib/apt/lists/*
2023-03-02 04:31:55 UTC/bin/sh -c #(nop) ENV PATH=/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2023-03-02 04:31:56 UTC/bin/sh -c #(nop) ENV GOLANG_VERSION=1.20.1
2023-03-02 04:32:10 UTC/bin/sh -c set -eux; arch="$(dpkg --print-architecture)"; arch="${arch##*-}"; url=; case "$arch" in 'amd64') url='https://dl.google.com/go/go1.20.1.linux-amd64.tar.gz'; sha256='000a5b1fca4f75895f78befeb2eecf10bfff3c428597f3f1e69133b63b911b02'; ;; 'armel') export GOARCH='arm' GOARM='5' GOOS='linux'; ;; 'armhf') url='https://dl.google.com/go/go1.20.1.linux-armv6l.tar.gz'; sha256='e4edc05558ab3657ba3dddb909209463cee38df9c1996893dd08cde274915003'; ;; 'arm64') url='https://dl.google.com/go/go1.20.1.linux-arm64.tar.gz'; sha256='5e5e2926733595e6f3c5b5ad1089afac11c1490351855e87849d0e7702b1ec2e'; ;; 'i386') url='https://dl.google.com/go/go1.20.1.linux-386.tar.gz'; sha256='3a7345036ebd92455b653e4b4f6aaf4f7e1f91f4ced33b23d7059159cec5f4d7'; ;; 'mips64el') export GOARCH='mips64le' GOOS='linux'; ;; 'ppc64el') url='https://dl.google.com/go/go1.20.1.linux-ppc64le.tar.gz'; sha256='85cfd4b89b48c94030783b6e9e619e35557862358b846064636361421d0b0c52'; ;; 's390x') url='https://dl.google.com/go/go1.20.1.linux-s390x.tar.gz'; sha256='ba3a14381ed4538216dec3ea72b35731750597edd851cece1eb120edf7d60149'; ;; *) echo >&2 "error: unsupported architecture '$arch' (likely packaging update needed)"; exit 1 ;; esac; build=; if [ -z "$url" ]; then build=1; url='https://dl.google.com/go/go1.20.1.src.tar.gz'; sha256='b5c1a3af52c385a6d1c76aed5361cf26459023980d0320de7658bae3915831a2'; echo >&2; echo >&2 "warning: current architecture ($arch) does not have a compatible Go binary release; will be building from source"; echo >&2; fi; wget -O go.tgz.asc "$url.asc"; wget -O go.tgz "$url" --progress=dot:giga; echo "$sha256 *go.tgz" | sha256sum -c -; GNUPGHOME="$(mktemp -d)"; export GNUPGHOME; gpg --batch --keyserver keyserver.ubuntu.com --recv-keys 'EB4C 1BFD 4F04 2F6D DDCC EC91 7721 F63B D38B 4796'; gpg --batch --keyserver keyserver.ubuntu.com --recv-keys '2F52 8D36 D67B 69ED F998 D857 78BD 6547 3CB3 BD13'; gpg --batch --verify go.tgz.asc go.tgz; gpgconf --kill all; rm -rf "$GNUPGHOME" go.tgz.asc; tar -C /usr/local -xzf go.tgz; rm go.tgz; if [ -n "$build" ]; then savedAptMark="$(apt-mark showmanual)"; ( . /etc/os-release; echo "deb https://deb.debian.org/debian $VERSION_CODENAME-backports main" > /etc/apt/sources.list.d/backports.list; apt-get update; apt-get install -y --no-install-recommends -t "$VERSION_CODENAME-backports" golang-go; ); export GOCACHE='/tmp/gocache'; ( cd /usr/local/go/src; export GOROOT_BOOTSTRAP="$(go env GOROOT)" GOHOSTOS="$GOOS" GOHOSTARCH="$GOARCH"; ./make.bash; ); apt-mark auto '.*' > /dev/null; apt-mark manual $savedAptMark > /dev/null; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; rm -rf /var/lib/apt/lists/*; rm -rf /usr/local/go/pkg/*/cmd /usr/local/go/pkg/bootstrap /usr/local/go/pkg/obj /usr/local/go/pkg/tool/*/api /usr/local/go/pkg/tool/*/go_bootstrap /usr/local/go/src/cmd/dist/dist "$GOCACHE" ; fi; go version
2023-03-02 04:32:12 UTC/bin/sh -c #(nop) ENV GOPATH=/go
2023-03-02 04:32:12 UTC/bin/sh -c #(nop) ENV PATH=/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2023-03-02 04:32:13 UTC/bin/sh -c mkdir -p "$GOPATH/src" "$GOPATH/bin" && chmod -R 777 "$GOPATH"
2023-03-02 04:32:13 UTC/bin/sh -c #(nop) WORKDIR /go
2023-02-15 23:55:54 UTC
1.95 GB
8f65208f92c0b4c3ae4c0cf02d4b5f6791d539cd1a07b2df62b7116467724735
GIT_DOWNLOAD_URLhttps://github.com/git-for-windows/git/releases/download/v2.23.0.windows.1/MinGit-2.23.0-64-bit.zip
GIT_TAGv2.23.0.windows.1
GIT_VERSION2.23.0
GOLANG_VERSION1.20.1
GOPATHC:\go
[#000] sha256:6e222c5ada69382aa2b4fe30b23ae56c7e3ada92712109d20f3edd457a6120b6 - 81.44% (1.59 GB)
[#001] sha256:8f77c707e813c8220ab3c92b6eb7b445ee0b1a485686ff62014ae32c17d2b1b6 - 12.16% (243 MB)
[#002] sha256:4a5753d4956d637f7e88bedf0b91260e724500d9fa9b91c0a9ed419263659a9a - 0.0% (1.29 KB)
[#003] sha256:f03ac75ee62e05ad7b8b8f97fb78a769177c49d210eedcf0a93035e9a07d0ff2 - 0.0% (1.4 KB)
[#004] sha256:4beb360c9024340aa5072ce67eab6b3cb005293938525c4f3b77c3bb03f9f501 - 0.0% (1.4 KB)
[#005] sha256:5051ce7a895da09ac63e7ca01ef4e30434d833dbd271107d6f96375f291752ad - 0.0% (1.36 KB)
[#006] sha256:ea419e1594fbbef3584b4731c356499c7b8a5616af16968e6fd693eccd92012b - 0.0% (1.32 KB)
[#007] sha256:cdb97c6a047d2cfcb6f0ef6846e78c4d5f60212639a9d1892e2af05033c217df - 1.22% (24.4 MB)
[#008] sha256:941d25224d4bab25ba0b2304a5811b0fc2970ba6385afdbefbfec898720c3beb - 0.0% (1.39 KB)
[#009] sha256:9fa161895f771062e6d8e8aa2e0e44c15c5affdacc8d409f6e70f1fa743a9bb1 - 0.02% (328 KB)
[#010] sha256:739b178d3cc9eff706e658830c4ed7726580a38b2d4c687d7d19f891e9281c5c - 0.0% (1.4 KB)
[#011] sha256:3a46d7c7059dabfc47a0af92281ff206bf6fc379b0d0b745b6bd64f0d0cd090c - 5.16% (103 MB)
[#012] sha256:db2244bebf9bf3e1f1964c6c1c1463c2e98bcd024ec594b1cf1c04b6385bbe55 - 0.0% (1.53 KB)
Apply image 10.0.17763.3887
2023-02-07 10:44:53 UTCInstall update 10.0.17763.4010
2023-02-15 22:41:28 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) SHELL [powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue';]
2023-02-15 23:47:41 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV GIT_VERSION=2.23.0
2023-02-15 23:47:42 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV GIT_TAG=v2.23.0.windows.1
2023-02-15 23:47:43 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV GIT_DOWNLOAD_URL=https://github.com/git-for-windows/git/releases/download/v2.23.0.windows.1/MinGit-2.23.0-64-bit.zip
2023-02-15 23:47:44 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV GIT_DOWNLOAD_SHA256=8f65208f92c0b4c3ae4c0cf02d4b5f6791d539cd1a07b2df62b7116467724735
2023-02-15 23:50:18 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host ('Downloading {0} ...' -f $env:GIT_DOWNLOAD_URL); [Net.ServicePointManager]::SecurityProtocol = [Net.SecurityProtocolType]::Tls12; Invoke-WebRequest -Uri $env:GIT_DOWNLOAD_URL -OutFile 'git.zip'; Write-Host ('Verifying sha256 ({0}) ...' -f $env:GIT_DOWNLOAD_SHA256); if ((Get-FileHash git.zip -Algorithm sha256).Hash -ne $env:GIT_DOWNLOAD_SHA256) { Write-Host 'FAILED!'; exit 1; }; Write-Host 'Expanding ...'; Expand-Archive -Path git.zip -DestinationPath C:\git\.; Write-Host 'Removing ...'; Remove-Item git.zip -Force; Write-Host 'Updating PATH ...'; $env:PATH = 'C:\git\cmd;C:\git\mingw64\bin;C:\git\usr\bin;' + $env:PATH; [Environment]::SetEnvironmentVariable('PATH', $env:PATH, [EnvironmentVariableTarget]::Machine); Write-Host 'Verifying install ("git version") ...'; git version; Write-Host 'Complete.';
2023-02-15 23:50:19 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV GOPATH=C:\go
2023-02-15 23:51:42 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; $newPath = ('{0}\bin;C:\Program Files\Go\bin;{1}' -f $env:GOPATH, $env:PATH); Write-Host ('Updating PATH: {0}' -f $newPath); [Environment]::SetEnvironmentVariable('PATH', $newPath, [EnvironmentVariableTarget]::Machine);
2023-02-15 23:51:43 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV GOLANG_VERSION=1.20.1
2023-02-15 23:55:52 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; $url = 'https://dl.google.com/go/go1.20.1.windows-amd64.zip'; Write-Host ('Downloading {0} ...' -f $url); [Net.ServicePointManager]::SecurityProtocol = [Net.SecurityProtocolType]::Tls12; Invoke-WebRequest -Uri $url -OutFile 'go.zip'; $sha256 = '3b493969196a6de8d9762d09f5bc5ae7a3e5814b0cfbf9cc26838c2bc1314f9c'; Write-Host ('Verifying sha256 ({0}) ...' -f $sha256); if ((Get-FileHash go.zip -Algorithm sha256).Hash -ne $sha256) { Write-Host 'FAILED!'; exit 1; }; Write-Host 'Expanding ...'; Expand-Archive go.zip -DestinationPath C:\; Write-Host 'Moving ...'; Move-Item -Path C:\go -Destination 'C:\Program Files\Go'; Write-Host 'Removing ...'; Remove-Item go.zip -Force; Write-Host 'Verifying install ("go version") ...'; go version; Write-Host 'Complete.';
2023-02-15 23:55:54 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) WORKDIR C:\go
2023-03-01 22:47:08 UTC
297 MB
1.20.1
GOPATH/go
PATH/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:32fb02163b6bb519a30f909008e852354dae10bdfd6b34190dbdfe8f15403ea0 - 17.67% (52.5 MB)
[#001] sha256:167c7feebee855d117e192389484ea8367be1ba84e7ee35f4e5e5663195facbf - 1.66% (4.93 MB)
[#002] sha256:d6dfff1f6f3ddd2194ea0775f199572e8b2d75c38713eef0444d6b1fd0ac7604 - 3.49% (10.4 MB)
[#003] sha256:e9cdcd4942ebc7445d8a70117a83ecbc77dcc5ffc72c4b6f8e24c0c76cfee15d - 17.52% (52.1 MB)
[#004] sha256:543368fb39eebb09d53cdd07e735a73a50b9773ad9019a5563e816d88a75e067 - 27.6% (82 MB)
[#005] sha256:706589508377a741bb258c02a454ed603afa2a7ba03c42aabc1bd424a1579fe4 - 32.06% (95.3 MB)
[#006] sha256:a1071e22fca9c85a12e7db00ecc147db305b4aa3149f46ab93d2da22a3a13a95 - 0.0% (155 Bytes)
/bin/sh -c #(nop) ADD file:513c5d5e501279c21a05c1d8b66e5f0b02ee4b27f0b928706d92fd9ce11c1be6 in /
2023-03-01 04:09:46 UTC/bin/sh -c #(nop) CMD ["bash"]
2023-03-01 04:42:37 UTC/bin/sh -c set -eux; apt-get update; apt-get install -y --no-install-recommends ca-certificates curl netbase wget ; rm -rf /var/lib/apt/lists/*
2023-03-01 04:42:43 UTC/bin/sh -c set -ex; if ! command -v gpg > /dev/null; then apt-get update; apt-get install -y --no-install-recommends gnupg dirmngr ; rm -rf /var/lib/apt/lists/*; fi
2023-03-01 04:43:00 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends git mercurial openssh-client subversion procps && rm -rf /var/lib/apt/lists/*
2023-03-01 22:46:57 UTC/bin/sh -c set -eux; apt-get update; apt-get install -y --no-install-recommends g++ gcc libc6-dev make pkg-config ; rm -rf /var/lib/apt/lists/*
2023-03-01 22:46:58 UTC/bin/sh -c #(nop) ENV PATH=/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2023-03-01 22:46:58 UTC/bin/sh -c #(nop) ENV GOLANG_VERSION=1.20.1
2023-03-01 22:47:06 UTC/bin/sh -c set -eux; arch="$(dpkg --print-architecture)"; arch="${arch##*-}"; url=; case "$arch" in 'amd64') url='https://dl.google.com/go/go1.20.1.linux-amd64.tar.gz'; sha256='000a5b1fca4f75895f78befeb2eecf10bfff3c428597f3f1e69133b63b911b02'; ;; 'armel') export GOARCH='arm' GOARM='5' GOOS='linux'; ;; 'armhf') url='https://dl.google.com/go/go1.20.1.linux-armv6l.tar.gz'; sha256='e4edc05558ab3657ba3dddb909209463cee38df9c1996893dd08cde274915003'; ;; 'arm64') url='https://dl.google.com/go/go1.20.1.linux-arm64.tar.gz'; sha256='5e5e2926733595e6f3c5b5ad1089afac11c1490351855e87849d0e7702b1ec2e'; ;; 'i386') url='https://dl.google.com/go/go1.20.1.linux-386.tar.gz'; sha256='3a7345036ebd92455b653e4b4f6aaf4f7e1f91f4ced33b23d7059159cec5f4d7'; ;; 'mips64el') export GOARCH='mips64le' GOOS='linux'; ;; 'ppc64el') url='https://dl.google.com/go/go1.20.1.linux-ppc64le.tar.gz'; sha256='85cfd4b89b48c94030783b6e9e619e35557862358b846064636361421d0b0c52'; ;; 's390x') url='https://dl.google.com/go/go1.20.1.linux-s390x.tar.gz'; sha256='ba3a14381ed4538216dec3ea72b35731750597edd851cece1eb120edf7d60149'; ;; *) echo >&2 "error: unsupported architecture '$arch' (likely packaging update needed)"; exit 1 ;; esac; build=; if [ -z "$url" ]; then build=1; url='https://dl.google.com/go/go1.20.1.src.tar.gz'; sha256='b5c1a3af52c385a6d1c76aed5361cf26459023980d0320de7658bae3915831a2'; echo >&2; echo >&2 "warning: current architecture ($arch) does not have a compatible Go binary release; will be building from source"; echo >&2; fi; wget -O go.tgz.asc "$url.asc"; wget -O go.tgz "$url" --progress=dot:giga; echo "$sha256 *go.tgz" | sha256sum -c -; GNUPGHOME="$(mktemp -d)"; export GNUPGHOME; gpg --batch --keyserver keyserver.ubuntu.com --recv-keys 'EB4C 1BFD 4F04 2F6D DDCC EC91 7721 F63B D38B 4796'; gpg --batch --keyserver keyserver.ubuntu.com --recv-keys '2F52 8D36 D67B 69ED F998 D857 78BD 6547 3CB3 BD13'; gpg --batch --verify go.tgz.asc go.tgz; gpgconf --kill all; rm -rf "$GNUPGHOME" go.tgz.asc; tar -C /usr/local -xzf go.tgz; rm go.tgz; if [ -n "$build" ]; then savedAptMark="$(apt-mark showmanual)"; ( . /etc/os-release; echo "deb https://deb.debian.org/debian $VERSION_CODENAME-backports main" > /etc/apt/sources.list.d/backports.list; apt-get update; apt-get install -y --no-install-recommends -t "$VERSION_CODENAME-backports" golang-go; ); export GOCACHE='/tmp/gocache'; ( cd /usr/local/go/src; export GOROOT_BOOTSTRAP="$(go env GOROOT)" GOHOSTOS="$GOOS" GOHOSTARCH="$GOARCH"; ./make.bash; ); apt-mark auto '.*' > /dev/null; apt-mark manual $savedAptMark > /dev/null; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; rm -rf /var/lib/apt/lists/*; rm -rf /usr/local/go/pkg/*/cmd /usr/local/go/pkg/bootstrap /usr/local/go/pkg/obj /usr/local/go/pkg/tool/*/api /usr/local/go/pkg/tool/*/go_bootstrap /usr/local/go/src/cmd/dist/dist "$GOCACHE" ; fi; go version
2023-03-01 22:47:07 UTC/bin/sh -c #(nop) ENV GOPATH=/go
2023-03-01 22:47:07 UTC/bin/sh -c #(nop) ENV PATH=/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2023-03-01 22:47:08 UTC/bin/sh -c mkdir -p "$GOPATH/src" "$GOPATH/bin" && chmod -R 777 "$GOPATH"
2023-03-01 22:47:08 UTC/bin/sh -c #(nop) WORKDIR /go
2023-02-15 23:47:18 UTC
1.69 GB
8f65208f92c0b4c3ae4c0cf02d4b5f6791d539cd1a07b2df62b7116467724735
GIT_DOWNLOAD_URLhttps://github.com/git-for-windows/git/releases/download/v2.23.0.windows.1/MinGit-2.23.0-64-bit.zip
GIT_TAGv2.23.0.windows.1
GIT_VERSION2.23.0
GOLANG_VERSION1.20.1
GOPATHC:\go
[#000] sha256:1a65b089bc835b0c3700397b1935e97cf469b0891bb4de3942c8dfbe4b672d47 - 76.39% (1.29 GB)
[#001] sha256:d1d015a9e7adea898d81486dce8b513b0e9cbeca30904cac18c3ea98ab3be7a6 - 16.17% (280 MB)
[#002] sha256:ca9c63a3d1906c0f8f7ca38587ab5f1c84160f9127cce25fb7f57d8a60dc7008 - 0.0% (1.38 KB)
[#003] sha256:4048a86b3278e59b840ad06b4cf5f5888ce1068d503522a95eb470d5126ed69a - 0.0% (1.37 KB)
[#004] sha256:34b07973952171f91c05aade363f3e6c9a2e84548f33eaa3c8e48632460e61f8 - 0.0% (1.39 KB)
[#005] sha256:3a95dff10905572b5f9177959a5a9f60a9364e1dd627ed52e34ec4bee3fb3069 - 0.0% (1.34 KB)
[#006] sha256:4267caf437f5a3d92235ab7b8d55b2c812744f166725151ba701aef9d682c6e9 - 0.0% (1.38 KB)
[#007] sha256:982a959ece2e33bce3f35c5c0adb01a3426c92111b309c15f8cc31200ebcf899 - 1.42% (24.7 MB)
[#008] sha256:065416c07c5d80f7a085e0e84237051d7050a71103cc9d7fb6d5ef57725dc4c6 - 0.0% (1.35 KB)
[#009] sha256:07015cae66c7ebb6b0adce2dfe424313b228bb703ac3e900deebe74ae961bb49 - 0.03% (558 KB)
[#010] sha256:a6db8675ff95fd87e8e89cc433742cf3d84da3917fbcaf40d2c038236cc248a5 - 0.0% (1.37 KB)
[#011] sha256:847d86f8685399a8848f96788ce5f6671aa844f7bb99177c182388bd1ef30a14 - 5.98% (103 MB)
[#012] sha256:bb8ee04b3c1c64de4bb6c0d08867c46adec1a405e58d2c8e435a744ef620a95a - 0.0% (1.53 KB)
Apply image 10.0.20348.1487
2023-02-07 11:42:22 UTCInstall update 10.0.20348.1547
2023-02-15 22:37:49 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) SHELL [powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue';]
2023-02-15 23:42:40 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV GIT_VERSION=2.23.0
2023-02-15 23:42:41 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV GIT_TAG=v2.23.0.windows.1
2023-02-15 23:42:42 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV GIT_DOWNLOAD_URL=https://github.com/git-for-windows/git/releases/download/v2.23.0.windows.1/MinGit-2.23.0-64-bit.zip
2023-02-15 23:42:43 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV GIT_DOWNLOAD_SHA256=8f65208f92c0b4c3ae4c0cf02d4b5f6791d539cd1a07b2df62b7116467724735
2023-02-15 23:43:27 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host ('Downloading {0} ...' -f $env:GIT_DOWNLOAD_URL); [Net.ServicePointManager]::SecurityProtocol = [Net.SecurityProtocolType]::Tls12; Invoke-WebRequest -Uri $env:GIT_DOWNLOAD_URL -OutFile 'git.zip'; Write-Host ('Verifying sha256 ({0}) ...' -f $env:GIT_DOWNLOAD_SHA256); if ((Get-FileHash git.zip -Algorithm sha256).Hash -ne $env:GIT_DOWNLOAD_SHA256) { Write-Host 'FAILED!'; exit 1; }; Write-Host 'Expanding ...'; Expand-Archive -Path git.zip -DestinationPath C:\git\.; Write-Host 'Removing ...'; Remove-Item git.zip -Force; Write-Host 'Updating PATH ...'; $env:PATH = 'C:\git\cmd;C:\git\mingw64\bin;C:\git\usr\bin;' + $env:PATH; [Environment]::SetEnvironmentVariable('PATH', $env:PATH, [EnvironmentVariableTarget]::Machine); Write-Host 'Verifying install ("git version") ...'; git version; Write-Host 'Complete.';
2023-02-15 23:43:28 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV GOPATH=C:\go
2023-02-15 23:44:03 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; $newPath = ('{0}\bin;C:\Program Files\Go\bin;{1}' -f $env:GOPATH, $env:PATH); Write-Host ('Updating PATH: {0}' -f $newPath); [Environment]::SetEnvironmentVariable('PATH', $newPath, [EnvironmentVariableTarget]::Machine);
2023-02-15 23:44:04 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV GOLANG_VERSION=1.20.1
2023-02-15 23:47:17 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; $url = 'https://dl.google.com/go/go1.20.1.windows-amd64.zip'; Write-Host ('Downloading {0} ...' -f $url); [Net.ServicePointManager]::SecurityProtocol = [Net.SecurityProtocolType]::Tls12; Invoke-WebRequest -Uri $url -OutFile 'go.zip'; $sha256 = '3b493969196a6de8d9762d09f5bc5ae7a3e5814b0cfbf9cc26838c2bc1314f9c'; Write-Host ('Verifying sha256 ({0}) ...' -f $sha256); if ((Get-FileHash go.zip -Algorithm sha256).Hash -ne $sha256) { Write-Host 'FAILED!'; exit 1; }; Write-Host 'Expanding ...'; Expand-Archive go.zip -DestinationPath C:\; Write-Host 'Moving ...'; Move-Item -Path C:\go -Destination 'C:\Program Files\Go'; Write-Host 'Removing ...'; Remove-Item go.zip -Force; Write-Host 'Verifying install ("go version") ...'; go version; Write-Host 'Complete.';
2023-02-15 23:47:18 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) WORKDIR C:\go
2023-03-01 12:06:16 UTC
275 MB
1.20.1
GOPATH/go
PATH/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:0e646b3de69bc5bf194fa10012b1ebb12aba169270858575517eba4a0019e696 - 18.22% (50.1 MB)
[#001] sha256:02d373aa541f88e7c81c88d63aca3fd07f01c6220ca295915af87f489a6cb251 - 1.76% (4.84 MB)
[#002] sha256:c176fe3230b5050ab13f5cd081fa601f679459e28449694496136a73bddd175c - 3.67% (10.1 MB)
[#003] sha256:04072817b27c20dd9a7f9a0b93816bd195f8675845e235c0291c0f935824f610 - 18.15% (49.9 MB)
[#004] sha256:618bb4b2928bc398d831896a82f4fa3111c69f2ec19d431fbc4688e291204c3a - 23.89% (65.7 MB)
[#005] sha256:0181c086c921c7919641d0ee7b547d0003018e377b8e993d54e72f1a65079c5d - 34.31% (94.3 MB)
[#006] sha256:495b3d9807cd8cdc34a9261d25d19d035cfd7dbab2e78a6c27127046f5dd901f - 0.0% (155 Bytes)
/bin/sh -c #(nop) ADD file:a4c8194220314bdada02b2e8d4a2aaa01f89c69eb66013a81a42903b7fa82e7a in /
2023-03-01 01:48:44 UTC/bin/sh -c #(nop) CMD ["bash"]
2023-03-01 02:18:00 UTC/bin/sh -c set -eux; apt-get update; apt-get install -y --no-install-recommends ca-certificates curl netbase wget ; rm -rf /var/lib/apt/lists/*
2023-03-01 02:18:10 UTC/bin/sh -c set -ex; if ! command -v gpg > /dev/null; then apt-get update; apt-get install -y --no-install-recommends gnupg dirmngr ; rm -rf /var/lib/apt/lists/*; fi
2023-03-01 02:18:36 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends git mercurial openssh-client subversion procps && rm -rf /var/lib/apt/lists/*
2023-03-01 12:03:51 UTC/bin/sh -c set -eux; apt-get update; apt-get install -y --no-install-recommends g++ gcc libc6-dev make pkg-config ; rm -rf /var/lib/apt/lists/*
2023-03-01 12:03:51 UTC/bin/sh -c #(nop) ENV PATH=/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2023-03-01 12:03:51 UTC/bin/sh -c #(nop) ENV GOLANG_VERSION=1.20.1
2023-03-01 12:06:14 UTC/bin/sh -c set -eux; arch="$(dpkg --print-architecture)"; arch="${arch##*-}"; url=; case "$arch" in 'amd64') url='https://dl.google.com/go/go1.20.1.linux-amd64.tar.gz'; sha256='000a5b1fca4f75895f78befeb2eecf10bfff3c428597f3f1e69133b63b911b02'; ;; 'armel') export GOARCH='arm' GOARM='5' GOOS='linux'; ;; 'armhf') url='https://dl.google.com/go/go1.20.1.linux-armv6l.tar.gz'; sha256='e4edc05558ab3657ba3dddb909209463cee38df9c1996893dd08cde274915003'; ;; 'arm64') url='https://dl.google.com/go/go1.20.1.linux-arm64.tar.gz'; sha256='5e5e2926733595e6f3c5b5ad1089afac11c1490351855e87849d0e7702b1ec2e'; ;; 'i386') url='https://dl.google.com/go/go1.20.1.linux-386.tar.gz'; sha256='3a7345036ebd92455b653e4b4f6aaf4f7e1f91f4ced33b23d7059159cec5f4d7'; ;; 'mips64el') export GOARCH='mips64le' GOOS='linux'; ;; 'ppc64el') url='https://dl.google.com/go/go1.20.1.linux-ppc64le.tar.gz'; sha256='85cfd4b89b48c94030783b6e9e619e35557862358b846064636361421d0b0c52'; ;; 's390x') url='https://dl.google.com/go/go1.20.1.linux-s390x.tar.gz'; sha256='ba3a14381ed4538216dec3ea72b35731750597edd851cece1eb120edf7d60149'; ;; *) echo >&2 "error: unsupported architecture '$arch' (likely packaging update needed)"; exit 1 ;; esac; build=; if [ -z "$url" ]; then build=1; url='https://dl.google.com/go/go1.20.1.src.tar.gz'; sha256='b5c1a3af52c385a6d1c76aed5361cf26459023980d0320de7658bae3915831a2'; echo >&2; echo >&2 "warning: current architecture ($arch) does not have a compatible Go binary release; will be building from source"; echo >&2; fi; wget -O go.tgz.asc "$url.asc"; wget -O go.tgz "$url" --progress=dot:giga; echo "$sha256 *go.tgz" | sha256sum -c -; GNUPGHOME="$(mktemp -d)"; export GNUPGHOME; gpg --batch --keyserver keyserver.ubuntu.com --recv-keys 'EB4C 1BFD 4F04 2F6D DDCC EC91 7721 F63B D38B 4796'; gpg --batch --keyserver keyserver.ubuntu.com --recv-keys '2F52 8D36 D67B 69ED F998 D857 78BD 6547 3CB3 BD13'; gpg --batch --verify go.tgz.asc go.tgz; gpgconf --kill all; rm -rf "$GNUPGHOME" go.tgz.asc; tar -C /usr/local -xzf go.tgz; rm go.tgz; if [ -n "$build" ]; then savedAptMark="$(apt-mark showmanual)"; ( . /etc/os-release; echo "deb https://deb.debian.org/debian $VERSION_CODENAME-backports main" > /etc/apt/sources.list.d/backports.list; apt-get update; apt-get install -y --no-install-recommends -t "$VERSION_CODENAME-backports" golang-go; ); export GOCACHE='/tmp/gocache'; ( cd /usr/local/go/src; export GOROOT_BOOTSTRAP="$(go env GOROOT)" GOHOSTOS="$GOOS" GOHOSTARCH="$GOARCH"; ./make.bash; ); apt-mark auto '.*' > /dev/null; apt-mark manual $savedAptMark > /dev/null; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; rm -rf /var/lib/apt/lists/*; rm -rf /usr/local/go/pkg/*/cmd /usr/local/go/pkg/bootstrap /usr/local/go/pkg/obj /usr/local/go/pkg/tool/*/api /usr/local/go/pkg/tool/*/go_bootstrap /usr/local/go/src/cmd/dist/dist "$GOCACHE" ; fi; go version
2023-03-01 12:06:16 UTC/bin/sh -c #(nop) ENV GOPATH=/go
2023-03-01 12:06:16 UTC/bin/sh -c #(nop) ENV PATH=/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2023-03-01 12:06:16 UTC/bin/sh -c mkdir -p "$GOPATH/src" "$GOPATH/bin" && chmod -R 777 "$GOPATH"
2023-03-01 12:06:16 UTC/bin/sh -c #(nop) WORKDIR /go
2023-03-02 02:14:19 UTC
265 MB
1.20.1
GOPATH/go
PATH/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:30bee4bd8986478b5a9ecaaaba83525049f0b9b5a63ca88de878568bb6b83292 - 18.05% (47.9 MB)
[#001] sha256:90c2a83a9963df1d0618a3bef56d5f278e39b96940e18347e3575f30d199fb89 - 1.77% (4.71 MB)
[#002] sha256:e5b6953f57698d5630bc57919975af4718f7e2eae8d6489d17ceab15dd2ab6e6 - 3.67% (9.74 MB)
[#003] sha256:4e676c4187d9dd900add9c8dd4b9c906be40a2b8db6cabfdaf280ac2e83cdfca - 18.1% (48 MB)
[#004] sha256:7de0a1d4256bc33f3c3897790ce94a6814b931a154cab89d28ca1be3bc0e094c - 23.33% (61.9 MB)
[#005] sha256:1d88099304b98c6a8c4e8ace03dfa3da238a2dae45d595007b28c3dac7697fc2 - 35.07% (93.1 MB)
[#006] sha256:b7042e6f8c7b8b8b50e20e7dbded1101c2b7bcb59fc9cc59eee1c0563500a1b0 - 0.0% (154 Bytes)
/bin/sh -c #(nop) ADD file:95a5e178e353a9a46c230d78b0ef83309dd487651c34e47e972ed3dae08ea00b in /
2023-03-01 01:57:45 UTC/bin/sh -c #(nop) CMD ["bash"]
2023-03-01 02:32:14 UTC/bin/sh -c set -eux; apt-get update; apt-get install -y --no-install-recommends ca-certificates curl netbase wget ; rm -rf /var/lib/apt/lists/*
2023-03-01 02:32:21 UTC/bin/sh -c set -ex; if ! command -v gpg > /dev/null; then apt-get update; apt-get install -y --no-install-recommends gnupg dirmngr ; rm -rf /var/lib/apt/lists/*; fi
2023-03-01 02:32:45 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends git mercurial openssh-client subversion procps && rm -rf /var/lib/apt/lists/*
2023-03-02 02:14:05 UTC/bin/sh -c set -eux; apt-get update; apt-get install -y --no-install-recommends g++ gcc libc6-dev make pkg-config ; rm -rf /var/lib/apt/lists/*
2023-03-02 02:14:06 UTC/bin/sh -c #(nop) ENV PATH=/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2023-03-02 02:14:06 UTC/bin/sh -c #(nop) ENV GOLANG_VERSION=1.20.1
2023-03-02 02:14:17 UTC/bin/sh -c set -eux; arch="$(dpkg --print-architecture)"; arch="${arch##*-}"; url=; case "$arch" in 'amd64') url='https://dl.google.com/go/go1.20.1.linux-amd64.tar.gz'; sha256='000a5b1fca4f75895f78befeb2eecf10bfff3c428597f3f1e69133b63b911b02'; ;; 'armel') export GOARCH='arm' GOARM='5' GOOS='linux'; ;; 'armhf') url='https://dl.google.com/go/go1.20.1.linux-armv6l.tar.gz'; sha256='e4edc05558ab3657ba3dddb909209463cee38df9c1996893dd08cde274915003'; ;; 'arm64') url='https://dl.google.com/go/go1.20.1.linux-arm64.tar.gz'; sha256='5e5e2926733595e6f3c5b5ad1089afac11c1490351855e87849d0e7702b1ec2e'; ;; 'i386') url='https://dl.google.com/go/go1.20.1.linux-386.tar.gz'; sha256='3a7345036ebd92455b653e4b4f6aaf4f7e1f91f4ced33b23d7059159cec5f4d7'; ;; 'mips64el') export GOARCH='mips64le' GOOS='linux'; ;; 'ppc64el') url='https://dl.google.com/go/go1.20.1.linux-ppc64le.tar.gz'; sha256='85cfd4b89b48c94030783b6e9e619e35557862358b846064636361421d0b0c52'; ;; 's390x') url='https://dl.google.com/go/go1.20.1.linux-s390x.tar.gz'; sha256='ba3a14381ed4538216dec3ea72b35731750597edd851cece1eb120edf7d60149'; ;; *) echo >&2 "error: unsupported architecture '$arch' (likely packaging update needed)"; exit 1 ;; esac; build=; if [ -z "$url" ]; then build=1; url='https://dl.google.com/go/go1.20.1.src.tar.gz'; sha256='b5c1a3af52c385a6d1c76aed5361cf26459023980d0320de7658bae3915831a2'; echo >&2; echo >&2 "warning: current architecture ($arch) does not have a compatible Go binary release; will be building from source"; echo >&2; fi; wget -O go.tgz.asc "$url.asc"; wget -O go.tgz "$url" --progress=dot:giga; echo "$sha256 *go.tgz" | sha256sum -c -; GNUPGHOME="$(mktemp -d)"; export GNUPGHOME; gpg --batch --keyserver keyserver.ubuntu.com --recv-keys 'EB4C 1BFD 4F04 2F6D DDCC EC91 7721 F63B D38B 4796'; gpg --batch --keyserver keyserver.ubuntu.com --recv-keys '2F52 8D36 D67B 69ED F998 D857 78BD 6547 3CB3 BD13'; gpg --batch --verify go.tgz.asc go.tgz; gpgconf --kill all; rm -rf "$GNUPGHOME" go.tgz.asc; tar -C /usr/local -xzf go.tgz; rm go.tgz; if [ -n "$build" ]; then savedAptMark="$(apt-mark showmanual)"; ( . /etc/os-release; echo "deb https://deb.debian.org/debian $VERSION_CODENAME-backports main" > /etc/apt/sources.list.d/backports.list; apt-get update; apt-get install -y --no-install-recommends -t "$VERSION_CODENAME-backports" golang-go; ); export GOCACHE='/tmp/gocache'; ( cd /usr/local/go/src; export GOROOT_BOOTSTRAP="$(go env GOROOT)" GOHOSTOS="$GOOS" GOHOSTARCH="$GOARCH"; ./make.bash; ); apt-mark auto '.*' > /dev/null; apt-mark manual $savedAptMark > /dev/null; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; rm -rf /var/lib/apt/lists/*; rm -rf /usr/local/go/pkg/*/cmd /usr/local/go/pkg/bootstrap /usr/local/go/pkg/obj /usr/local/go/pkg/tool/*/api /usr/local/go/pkg/tool/*/go_bootstrap /usr/local/go/src/cmd/dist/dist "$GOCACHE" ; fi; go version
2023-03-02 02:14:19 UTC/bin/sh -c #(nop) ENV GOPATH=/go
2023-03-02 02:14:19 UTC/bin/sh -c #(nop) ENV PATH=/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2023-03-02 02:14:19 UTC/bin/sh -c mkdir -p "$GOPATH/src" "$GOPATH/bin" && chmod -R 777 "$GOPATH"
2023-03-02 02:14:19 UTC/bin/sh -c #(nop) WORKDIR /go
2023-03-01 17:24:44 UTC
287 MB
1.20.1
GOPATH/go
PATH/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:0f5fe16b1836feccd4765ac5685fc7a7b9c73445cac94fc595d2ffbc3cb59a7a - 17.84% (51.2 MB)
[#001] sha256:7b8a090f23f28b92f40160bc1a686e3bd5cd4bbd00713a7133631cb2189575f2 - 1.71% (4.91 MB)
[#002] sha256:ec29ff8525a3f037f4cc74d2925846a9a8c985469b4ae98fa34099110288987c - 3.61% (10.4 MB)
[#003] sha256:8747d4a988af1d119e668971a87213d5c7061fc04671ba6fcb7123a1c11507ac - 18.16% (52.1 MB)
[#004] sha256:a4f96f012c3b0037d5ab1fb4289e1618ef965014450e38ecf98ba012238a38f3 - 27.04% (77.6 MB)
[#005] sha256:866de7ea013076e4d3b4f1989b96e342f89a1aa4c9ab4c1aabe92fe889714745 - 31.63% (90.8 MB)
[#006] sha256:582ce1eaa97403a8eb55699377146a3dfc297f6d25903f2d69dc85fc8216e4fe - 0.0% (155 Bytes)
/bin/sh -c #(nop) ADD file:a6a1df499d0d5b07fb366d776a11c42ddee6261e2425a921041b38e868192770 in /
2023-03-01 02:20:30 UTC/bin/sh -c #(nop) CMD ["bash"]
2023-03-01 02:49:04 UTC/bin/sh -c set -eux; apt-get update; apt-get install -y --no-install-recommends ca-certificates curl netbase wget ; rm -rf /var/lib/apt/lists/*
2023-03-01 02:49:09 UTC/bin/sh -c set -ex; if ! command -v gpg > /dev/null; then apt-get update; apt-get install -y --no-install-recommends gnupg dirmngr ; rm -rf /var/lib/apt/lists/*; fi
2023-03-01 02:49:24 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends git mercurial openssh-client subversion procps && rm -rf /var/lib/apt/lists/*
2023-03-01 17:24:33 UTC/bin/sh -c set -eux; apt-get update; apt-get install -y --no-install-recommends g++ gcc libc6-dev make pkg-config ; rm -rf /var/lib/apt/lists/*
2023-03-01 17:24:34 UTC/bin/sh -c #(nop) ENV PATH=/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2023-03-01 17:24:34 UTC/bin/sh -c #(nop) ENV GOLANG_VERSION=1.20.1
2023-03-01 17:24:42 UTC/bin/sh -c set -eux; arch="$(dpkg --print-architecture)"; arch="${arch##*-}"; url=; case "$arch" in 'amd64') url='https://dl.google.com/go/go1.20.1.linux-amd64.tar.gz'; sha256='000a5b1fca4f75895f78befeb2eecf10bfff3c428597f3f1e69133b63b911b02'; ;; 'armel') export GOARCH='arm' GOARM='5' GOOS='linux'; ;; 'armhf') url='https://dl.google.com/go/go1.20.1.linux-armv6l.tar.gz'; sha256='e4edc05558ab3657ba3dddb909209463cee38df9c1996893dd08cde274915003'; ;; 'arm64') url='https://dl.google.com/go/go1.20.1.linux-arm64.tar.gz'; sha256='5e5e2926733595e6f3c5b5ad1089afac11c1490351855e87849d0e7702b1ec2e'; ;; 'i386') url='https://dl.google.com/go/go1.20.1.linux-386.tar.gz'; sha256='3a7345036ebd92455b653e4b4f6aaf4f7e1f91f4ced33b23d7059159cec5f4d7'; ;; 'mips64el') export GOARCH='mips64le' GOOS='linux'; ;; 'ppc64el') url='https://dl.google.com/go/go1.20.1.linux-ppc64le.tar.gz'; sha256='85cfd4b89b48c94030783b6e9e619e35557862358b846064636361421d0b0c52'; ;; 's390x') url='https://dl.google.com/go/go1.20.1.linux-s390x.tar.gz'; sha256='ba3a14381ed4538216dec3ea72b35731750597edd851cece1eb120edf7d60149'; ;; *) echo >&2 "error: unsupported architecture '$arch' (likely packaging update needed)"; exit 1 ;; esac; build=; if [ -z "$url" ]; then build=1; url='https://dl.google.com/go/go1.20.1.src.tar.gz'; sha256='b5c1a3af52c385a6d1c76aed5361cf26459023980d0320de7658bae3915831a2'; echo >&2; echo >&2 "warning: current architecture ($arch) does not have a compatible Go binary release; will be building from source"; echo >&2; fi; wget -O go.tgz.asc "$url.asc"; wget -O go.tgz "$url" --progress=dot:giga; echo "$sha256 *go.tgz" | sha256sum -c -; GNUPGHOME="$(mktemp -d)"; export GNUPGHOME; gpg --batch --keyserver keyserver.ubuntu.com --recv-keys 'EB4C 1BFD 4F04 2F6D DDCC EC91 7721 F63B D38B 4796'; gpg --batch --keyserver keyserver.ubuntu.com --recv-keys '2F52 8D36 D67B 69ED F998 D857 78BD 6547 3CB3 BD13'; gpg --batch --verify go.tgz.asc go.tgz; gpgconf --kill all; rm -rf "$GNUPGHOME" go.tgz.asc; tar -C /usr/local -xzf go.tgz; rm go.tgz; if [ -n "$build" ]; then savedAptMark="$(apt-mark showmanual)"; ( . /etc/os-release; echo "deb https://deb.debian.org/debian $VERSION_CODENAME-backports main" > /etc/apt/sources.list.d/backports.list; apt-get update; apt-get install -y --no-install-recommends -t "$VERSION_CODENAME-backports" golang-go; ); export GOCACHE='/tmp/gocache'; ( cd /usr/local/go/src; export GOROOT_BOOTSTRAP="$(go env GOROOT)" GOHOSTOS="$GOOS" GOHOSTARCH="$GOARCH"; ./make.bash; ); apt-mark auto '.*' > /dev/null; apt-mark manual $savedAptMark > /dev/null; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; rm -rf /var/lib/apt/lists/*; rm -rf /usr/local/go/pkg/*/cmd /usr/local/go/pkg/bootstrap /usr/local/go/pkg/obj /usr/local/go/pkg/tool/*/api /usr/local/go/pkg/tool/*/go_bootstrap /usr/local/go/src/cmd/dist/dist "$GOCACHE" ; fi; go version
2023-03-01 17:24:43 UTC/bin/sh -c #(nop) ENV GOPATH=/go
2023-03-01 17:24:43 UTC/bin/sh -c #(nop) ENV PATH=/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2023-03-01 17:24:44 UTC/bin/sh -c mkdir -p "$GOPATH/src" "$GOPATH/bin" && chmod -R 777 "$GOPATH"
2023-03-01 17:24:44 UTC/bin/sh -c #(nop) WORKDIR /go
2023-03-02 02:22:37 UTC
270 MB
1.20.1
GOPATH/go
PATH/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:c840827022f1ac884efb07d69c1c27fe594b8942edaba76884ed87691e1596a7 - 18.81% (50.8 MB)
[#001] sha256:fef506d17f8897590ad73117349f3d5a00bf1d49e9df07123ad9e5f62bdc1b9c - 1.74% (4.69 MB)
[#002] sha256:e2bcd4f409b03d9914948b724b57835b18c4640aab6bc493cc80b3a874ffcc31 - 3.77% (10.2 MB)
[#003] sha256:6df25173951f289c64515ba71fb87f8b90d9d1951e7287d8fc1a6b5f12c5c567 - 18.83% (50.8 MB)
[#004] sha256:42ec1f7dfb659785bc39c5abddb5bd8792b7eb22ddcce6363830e4709b4b76c9 - 23.62% (63.8 MB)
[#005] sha256:d61353d8932eaa9482a3403f1e9529a3137d29951585c7ff335cff1d9994e24e - 33.23% (89.7 MB)
[#006] sha256:b178bc4ac031f6290ac9ce1be5de53ad6d7d61455db167b2041bec8a1004b653 - 0.0% (122 Bytes)
/bin/sh -c #(nop) ADD file:bf6c5767a805dc84ce6187b7fb368f563954e5a7011c93d39fdd53a5dadecc9f in /
2023-03-01 02:10:22 UTC/bin/sh -c #(nop) CMD ["bash"]
2023-03-01 14:16:11 UTC/bin/sh -c set -eux; apt-get update; apt-get install -y --no-install-recommends ca-certificates curl netbase wget ; rm -rf /var/lib/apt/lists/*
2023-03-01 14:16:44 UTC/bin/sh -c set -ex; if ! command -v gpg > /dev/null; then apt-get update; apt-get install -y --no-install-recommends gnupg dirmngr ; rm -rf /var/lib/apt/lists/*; fi
2023-03-01 14:18:17 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends git mercurial openssh-client subversion procps && rm -rf /var/lib/apt/lists/*
2023-03-02 02:09:53 UTC/bin/sh -c set -eux; apt-get update; apt-get install -y --no-install-recommends g++ gcc libc6-dev make pkg-config ; rm -rf /var/lib/apt/lists/*
2023-03-02 02:09:58 UTC/bin/sh -c #(nop) ENV PATH=/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2023-03-02 02:10:03 UTC/bin/sh -c #(nop) ENV GOLANG_VERSION=1.20.1
2023-03-02 02:22:06 UTC/bin/sh -c set -eux; arch="$(dpkg --print-architecture)"; arch="${arch##*-}"; url=; case "$arch" in 'amd64') url='https://dl.google.com/go/go1.20.1.linux-amd64.tar.gz'; sha256='000a5b1fca4f75895f78befeb2eecf10bfff3c428597f3f1e69133b63b911b02'; ;; 'armel') export GOARCH='arm' GOARM='5' GOOS='linux'; ;; 'armhf') url='https://dl.google.com/go/go1.20.1.linux-armv6l.tar.gz'; sha256='e4edc05558ab3657ba3dddb909209463cee38df9c1996893dd08cde274915003'; ;; 'arm64') url='https://dl.google.com/go/go1.20.1.linux-arm64.tar.gz'; sha256='5e5e2926733595e6f3c5b5ad1089afac11c1490351855e87849d0e7702b1ec2e'; ;; 'i386') url='https://dl.google.com/go/go1.20.1.linux-386.tar.gz'; sha256='3a7345036ebd92455b653e4b4f6aaf4f7e1f91f4ced33b23d7059159cec5f4d7'; ;; 'mips64el') export GOARCH='mips64le' GOOS='linux'; ;; 'ppc64el') url='https://dl.google.com/go/go1.20.1.linux-ppc64le.tar.gz'; sha256='85cfd4b89b48c94030783b6e9e619e35557862358b846064636361421d0b0c52'; ;; 's390x') url='https://dl.google.com/go/go1.20.1.linux-s390x.tar.gz'; sha256='ba3a14381ed4538216dec3ea72b35731750597edd851cece1eb120edf7d60149'; ;; *) echo >&2 "error: unsupported architecture '$arch' (likely packaging update needed)"; exit 1 ;; esac; build=; if [ -z "$url" ]; then build=1; url='https://dl.google.com/go/go1.20.1.src.tar.gz'; sha256='b5c1a3af52c385a6d1c76aed5361cf26459023980d0320de7658bae3915831a2'; echo >&2; echo >&2 "warning: current architecture ($arch) does not have a compatible Go binary release; will be building from source"; echo >&2; fi; wget -O go.tgz.asc "$url.asc"; wget -O go.tgz "$url" --progress=dot:giga; echo "$sha256 *go.tgz" | sha256sum -c -; GNUPGHOME="$(mktemp -d)"; export GNUPGHOME; gpg --batch --keyserver keyserver.ubuntu.com --recv-keys 'EB4C 1BFD 4F04 2F6D DDCC EC91 7721 F63B D38B 4796'; gpg --batch --keyserver keyserver.ubuntu.com --recv-keys '2F52 8D36 D67B 69ED F998 D857 78BD 6547 3CB3 BD13'; gpg --batch --verify go.tgz.asc go.tgz; gpgconf --kill all; rm -rf "$GNUPGHOME" go.tgz.asc; tar -C /usr/local -xzf go.tgz; rm go.tgz; if [ -n "$build" ]; then savedAptMark="$(apt-mark showmanual)"; ( . /etc/os-release; echo "deb https://deb.debian.org/debian $VERSION_CODENAME-backports main" > /etc/apt/sources.list.d/backports.list; apt-get update; apt-get install -y --no-install-recommends -t "$VERSION_CODENAME-backports" golang-go; ); export GOCACHE='/tmp/gocache'; ( cd /usr/local/go/src; export GOROOT_BOOTSTRAP="$(go env GOROOT)" GOHOSTOS="$GOOS" GOHOSTARCH="$GOARCH"; ./make.bash; ); apt-mark auto '.*' > /dev/null; apt-mark manual $savedAptMark > /dev/null; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; rm -rf /var/lib/apt/lists/*; rm -rf /usr/local/go/pkg/*/cmd /usr/local/go/pkg/bootstrap /usr/local/go/pkg/obj /usr/local/go/pkg/tool/*/api /usr/local/go/pkg/tool/*/go_bootstrap /usr/local/go/src/cmd/dist/dist "$GOCACHE" ; fi; go version
2023-03-02 02:22:14 UTC/bin/sh -c #(nop) ENV GOPATH=/go
2023-03-02 02:22:21 UTC/bin/sh -c #(nop) ENV PATH=/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2023-03-02 02:22:30 UTC/bin/sh -c mkdir -p "$GOPATH/src" "$GOPATH/bin" && chmod -R 777 "$GOPATH"
2023-03-02 02:22:37 UTC/bin/sh -c #(nop) WORKDIR /go
2023-03-01 17:45:03 UTC
297 MB
1.20.1
GOPATH/go
PATH/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:3b7949e1acd104233f80137ab3a92a148b0d48e41b3075c70a2d636c3b4c60bf - 18.94% (56.2 MB)
[#001] sha256:ec2b3574e90831068a9bd9f64e57da92a087d925f0a0e63c764ecf421b18d3a1 - 1.74% (5.16 MB)
[#002] sha256:9d8bec1f2d073d24de5e7dd051bcada4f0a407fc713e38b49fc2d2a863bde38e - 3.74% (11.1 MB)
[#003] sha256:dd3bc8a98c359709356de5d552e69a43170d7f81b4ad5ac17cfbb0eb8d3da2b1 - 18.93% (56.1 MB)
[#004] sha256:782f42d2a051333cd2696b7e521562a332aeb8425c2c26326a54b9943ee886c0 - 25.86% (76.7 MB)
[#005] sha256:bdceb1ee43036d54f877dbd57fbeb1ca2b8fc6902a7069255661d367c186d54a - 30.79% (91.3 MB)
[#006] sha256:abf34e1d2dec2a73c52425a6cfca426ce1866879638eca74960a1158428671a7 - 0.0% (155 Bytes)
/bin/sh -c #(nop) ADD file:40523b7b16ccf1ff245b11e11f92d24e9e6e9dfbdbc755d4361cf55c7ec26244 in /
2023-03-01 04:47:11 UTC/bin/sh -c #(nop) CMD ["bash"]
2023-03-01 05:25:08 UTC/bin/sh -c set -eux; apt-get update; apt-get install -y --no-install-recommends ca-certificates curl netbase wget ; rm -rf /var/lib/apt/lists/*
2023-03-01 05:25:25 UTC/bin/sh -c set -ex; if ! command -v gpg > /dev/null; then apt-get update; apt-get install -y --no-install-recommends gnupg dirmngr ; rm -rf /var/lib/apt/lists/*; fi
2023-03-01 05:26:16 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends git mercurial openssh-client subversion procps && rm -rf /var/lib/apt/lists/*
2023-03-01 17:44:32 UTC/bin/sh -c set -eux; apt-get update; apt-get install -y --no-install-recommends g++ gcc libc6-dev make pkg-config ; rm -rf /var/lib/apt/lists/*
2023-03-01 17:44:36 UTC/bin/sh -c #(nop) ENV PATH=/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2023-03-01 17:44:36 UTC/bin/sh -c #(nop) ENV GOLANG_VERSION=1.20.1
2023-03-01 17:44:56 UTC/bin/sh -c set -eux; arch="$(dpkg --print-architecture)"; arch="${arch##*-}"; url=; case "$arch" in 'amd64') url='https://dl.google.com/go/go1.20.1.linux-amd64.tar.gz'; sha256='000a5b1fca4f75895f78befeb2eecf10bfff3c428597f3f1e69133b63b911b02'; ;; 'armel') export GOARCH='arm' GOARM='5' GOOS='linux'; ;; 'armhf') url='https://dl.google.com/go/go1.20.1.linux-armv6l.tar.gz'; sha256='e4edc05558ab3657ba3dddb909209463cee38df9c1996893dd08cde274915003'; ;; 'arm64') url='https://dl.google.com/go/go1.20.1.linux-arm64.tar.gz'; sha256='5e5e2926733595e6f3c5b5ad1089afac11c1490351855e87849d0e7702b1ec2e'; ;; 'i386') url='https://dl.google.com/go/go1.20.1.linux-386.tar.gz'; sha256='3a7345036ebd92455b653e4b4f6aaf4f7e1f91f4ced33b23d7059159cec5f4d7'; ;; 'mips64el') export GOARCH='mips64le' GOOS='linux'; ;; 'ppc64el') url='https://dl.google.com/go/go1.20.1.linux-ppc64le.tar.gz'; sha256='85cfd4b89b48c94030783b6e9e619e35557862358b846064636361421d0b0c52'; ;; 's390x') url='https://dl.google.com/go/go1.20.1.linux-s390x.tar.gz'; sha256='ba3a14381ed4538216dec3ea72b35731750597edd851cece1eb120edf7d60149'; ;; *) echo >&2 "error: unsupported architecture '$arch' (likely packaging update needed)"; exit 1 ;; esac; build=; if [ -z "$url" ]; then build=1; url='https://dl.google.com/go/go1.20.1.src.tar.gz'; sha256='b5c1a3af52c385a6d1c76aed5361cf26459023980d0320de7658bae3915831a2'; echo >&2; echo >&2 "warning: current architecture ($arch) does not have a compatible Go binary release; will be building from source"; echo >&2; fi; wget -O go.tgz.asc "$url.asc"; wget -O go.tgz "$url" --progress=dot:giga; echo "$sha256 *go.tgz" | sha256sum -c -; GNUPGHOME="$(mktemp -d)"; export GNUPGHOME; gpg --batch --keyserver keyserver.ubuntu.com --recv-keys 'EB4C 1BFD 4F04 2F6D DDCC EC91 7721 F63B D38B 4796'; gpg --batch --keyserver keyserver.ubuntu.com --recv-keys '2F52 8D36 D67B 69ED F998 D857 78BD 6547 3CB3 BD13'; gpg --batch --verify go.tgz.asc go.tgz; gpgconf --kill all; rm -rf "$GNUPGHOME" go.tgz.asc; tar -C /usr/local -xzf go.tgz; rm go.tgz; if [ -n "$build" ]; then savedAptMark="$(apt-mark showmanual)"; ( . /etc/os-release; echo "deb https://deb.debian.org/debian $VERSION_CODENAME-backports main" > /etc/apt/sources.list.d/backports.list; apt-get update; apt-get install -y --no-install-recommends -t "$VERSION_CODENAME-backports" golang-go; ); export GOCACHE='/tmp/gocache'; ( cd /usr/local/go/src; export GOROOT_BOOTSTRAP="$(go env GOROOT)" GOHOSTOS="$GOOS" GOHOSTARCH="$GOARCH"; ./make.bash; ); apt-mark auto '.*' > /dev/null; apt-mark manual $savedAptMark > /dev/null; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; rm -rf /var/lib/apt/lists/*; rm -rf /usr/local/go/pkg/*/cmd /usr/local/go/pkg/bootstrap /usr/local/go/pkg/obj /usr/local/go/pkg/tool/*/api /usr/local/go/pkg/tool/*/go_bootstrap /usr/local/go/src/cmd/dist/dist "$GOCACHE" ; fi; go version
2023-03-01 17:45:01 UTC/bin/sh -c #(nop) ENV GOPATH=/go
2023-03-01 17:45:01 UTC/bin/sh -c #(nop) ENV PATH=/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2023-03-01 17:45:02 UTC/bin/sh -c mkdir -p "$GOPATH/src" "$GOPATH/bin" && chmod -R 777 "$GOPATH"
2023-03-01 17:45:03 UTC/bin/sh -c #(nop) WORKDIR /go
2023-03-01 10:03:07 UTC
276 MB
1.20.1
GOPATH/go
PATH/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:51f6de0debe6daa552b12c9951f6529a870979d923187c1ba62ff66cee3450ac - 18.44% (50.8 MB)
[#001] sha256:6404e912b557d72a71a982115ad4b92e1c23918b7f0c950f6f22c2ec775ff936 - 1.78% (4.91 MB)
[#002] sha256:0561ee66ff6ae2ce12d922c3d0fed94e18a801571a2add9e526e914cb30a3bab - 3.73% (10.3 MB)
[#003] sha256:7a6c7ccf7cb532de1600bce9245b8e167d6d644608677c26601c246c4e80cdbf - 18.71% (51.6 MB)
[#004] sha256:766fc612e7a54bb12532ff0bf72dda3ceec1f0cf3275b6cc7eb603630b928562 - 22.74% (62.6 MB)
[#005] sha256:8ee829be2da75896e738d84ed218898a2fe358320fc57d58d34fe71c61d6d6fc - 34.6% (95.3 MB)
[#006] sha256:0fa1150e4d30a4b3f091b2164ac599a5984ac562ff62c2ff2f23566e9108aab5 - 0.0% (156 Bytes)
/bin/sh -c #(nop) ADD file:e5f01d8f88c8134571e8998672a504ecad259a9a8322df73aed4a93ffac08ebd in /
2023-03-01 02:50:10 UTC/bin/sh -c #(nop) CMD ["bash"]
2023-03-01 03:14:28 UTC/bin/sh -c set -eux; apt-get update; apt-get install -y --no-install-recommends ca-certificates curl netbase wget ; rm -rf /var/lib/apt/lists/*
2023-03-01 03:14:34 UTC/bin/sh -c set -ex; if ! command -v gpg > /dev/null; then apt-get update; apt-get install -y --no-install-recommends gnupg dirmngr ; rm -rf /var/lib/apt/lists/*; fi
2023-03-01 03:14:59 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends git mercurial openssh-client subversion procps && rm -rf /var/lib/apt/lists/*
2023-03-01 10:02:47 UTC/bin/sh -c set -eux; apt-get update; apt-get install -y --no-install-recommends g++ gcc libc6-dev make pkg-config ; rm -rf /var/lib/apt/lists/*
2023-03-01 10:02:51 UTC/bin/sh -c #(nop) ENV PATH=/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2023-03-01 10:02:51 UTC/bin/sh -c #(nop) ENV GOLANG_VERSION=1.20.1
2023-03-01 10:03:02 UTC/bin/sh -c set -eux; arch="$(dpkg --print-architecture)"; arch="${arch##*-}"; url=; case "$arch" in 'amd64') url='https://dl.google.com/go/go1.20.1.linux-amd64.tar.gz'; sha256='000a5b1fca4f75895f78befeb2eecf10bfff3c428597f3f1e69133b63b911b02'; ;; 'armel') export GOARCH='arm' GOARM='5' GOOS='linux'; ;; 'armhf') url='https://dl.google.com/go/go1.20.1.linux-armv6l.tar.gz'; sha256='e4edc05558ab3657ba3dddb909209463cee38df9c1996893dd08cde274915003'; ;; 'arm64') url='https://dl.google.com/go/go1.20.1.linux-arm64.tar.gz'; sha256='5e5e2926733595e6f3c5b5ad1089afac11c1490351855e87849d0e7702b1ec2e'; ;; 'i386') url='https://dl.google.com/go/go1.20.1.linux-386.tar.gz'; sha256='3a7345036ebd92455b653e4b4f6aaf4f7e1f91f4ced33b23d7059159cec5f4d7'; ;; 'mips64el') export GOARCH='mips64le' GOOS='linux'; ;; 'ppc64el') url='https://dl.google.com/go/go1.20.1.linux-ppc64le.tar.gz'; sha256='85cfd4b89b48c94030783b6e9e619e35557862358b846064636361421d0b0c52'; ;; 's390x') url='https://dl.google.com/go/go1.20.1.linux-s390x.tar.gz'; sha256='ba3a14381ed4538216dec3ea72b35731750597edd851cece1eb120edf7d60149'; ;; *) echo >&2 "error: unsupported architecture '$arch' (likely packaging update needed)"; exit 1 ;; esac; build=; if [ -z "$url" ]; then build=1; url='https://dl.google.com/go/go1.20.1.src.tar.gz'; sha256='b5c1a3af52c385a6d1c76aed5361cf26459023980d0320de7658bae3915831a2'; echo >&2; echo >&2 "warning: current architecture ($arch) does not have a compatible Go binary release; will be building from source"; echo >&2; fi; wget -O go.tgz.asc "$url.asc"; wget -O go.tgz "$url" --progress=dot:giga; echo "$sha256 *go.tgz" | sha256sum -c -; GNUPGHOME="$(mktemp -d)"; export GNUPGHOME; gpg --batch --keyserver keyserver.ubuntu.com --recv-keys 'EB4C 1BFD 4F04 2F6D DDCC EC91 7721 F63B D38B 4796'; gpg --batch --keyserver keyserver.ubuntu.com --recv-keys '2F52 8D36 D67B 69ED F998 D857 78BD 6547 3CB3 BD13'; gpg --batch --verify go.tgz.asc go.tgz; gpgconf --kill all; rm -rf "$GNUPGHOME" go.tgz.asc; tar -C /usr/local -xzf go.tgz; rm go.tgz; if [ -n "$build" ]; then savedAptMark="$(apt-mark showmanual)"; ( . /etc/os-release; echo "deb https://deb.debian.org/debian $VERSION_CODENAME-backports main" > /etc/apt/sources.list.d/backports.list; apt-get update; apt-get install -y --no-install-recommends -t "$VERSION_CODENAME-backports" golang-go; ); export GOCACHE='/tmp/gocache'; ( cd /usr/local/go/src; export GOROOT_BOOTSTRAP="$(go env GOROOT)" GOHOSTOS="$GOOS" GOHOSTARCH="$GOARCH"; ./make.bash; ); apt-mark auto '.*' > /dev/null; apt-mark manual $savedAptMark > /dev/null; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; rm -rf /var/lib/apt/lists/*; rm -rf /usr/local/go/pkg/*/cmd /usr/local/go/pkg/bootstrap /usr/local/go/pkg/obj /usr/local/go/pkg/tool/*/api /usr/local/go/pkg/tool/*/go_bootstrap /usr/local/go/src/cmd/dist/dist "$GOCACHE" ; fi; go version
2023-03-01 10:03:06 UTC/bin/sh -c #(nop) ENV GOPATH=/go
2023-03-01 10:03:06 UTC/bin/sh -c #(nop) ENV PATH=/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2023-03-01 10:03:07 UTC/bin/sh -c mkdir -p "$GOPATH/src" "$GOPATH/bin" && chmod -R 777 "$GOPATH"
2023-03-01 10:03:07 UTC/bin/sh -c #(nop) WORKDIR /go